Subject: bug#27736: OSX 10.6.8: Building from master branch fails.

From: Glenn Morris <[email-masked]>
Date: Wed, 28 Mar 2018 13:15:16 -0400

Paul Eggert wrote:

> I noticed this problem when preparing a patch to catch this sort of
> issue. To fix this particular instance of the problem, I attempted to
> migrate the localtime workaround into editfns.c (so that the fix is
> more-general, and is not limited to org-clock), by installing the
> attached patches into master. Please give them a try, since I don't
> have easy access to Mac OS X. I'm still a bit fuzzy on exactly which
> timestamps cause Mac OS X localtime to go belly-up (is it timezone
> dependent?), so quite possibly the magic numbers in these patches need
> to be adjusted a bit so that the code will work in any timezone from
> TZ=AAA-24:59:59 to TZ=ZZZ24:59:59; please let me know.

The relevant org-clock.el code had been deleted in Org two months ago,
a change which was synced to Emacs today.

(Another example of my pet peeve, code in two repos being inefficient
for developers.)